#
# spec file for package openstack-monasca-persister-java-kit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 johannes
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openstack-monasca-persister-java-kit
Version:        1.2.1
Release:        2.1
Summary:        Build-time dependency of project "openstack-monasca-persister-java"
License:        SUSE-NonFree
Group:          Development/Libraries/Java
Url:            https://github.com/SilvioMoioli/tetra
Source0:        %{name}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  xz
Provides:       tetra-kit
Conflicts:      otherproviders(tetra-kit)

%description
This package has been automatically created by tetra in order to
satisfy build time dependencies of Java packages.
It should not be used except for rebuilding other packages,
thus it should never be installed on end users' systems.

%prep
%setup -q -n kit

%build
# nothing to do, precompiled by design

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
install -d -m 0755 %{buildroot}%{_datadir}/tetra/
cp -R * %{buildroot}%{_datadir}/tetra/
%fdupes %{buildroot}%{_datadir}/tetra/

%files
%defattr(-,root,root)
%{_datadir}/tetra/

%changelog
* Tue Apr 18 2017 johannes.grassler@suse.com
- Substituted explicit jar installations by providing a PATH
  including to run_maven.sh (bsc#1048688, FATE#323204)
* Tue Apr 18 2017 johannes.grassler@suse.com
- Added missing maven-jar-plugin dependency to kit tarball.
- Updated README.building to include retrieving
  maven-jar-plugin.
* Tue Apr 18 2017 johannes.grassler@suse.com
- Added missing maven-toolchain dependency to kit tarball.
- Updated README.building to include retrieving
  maven-toolchain.
* Tue Apr 18 2017 johannes.grassler@suse.com
- Added missing maven-compiler-plugin dependency to kit tarball.
- Updated README.building to include retrieving
  maven-compiler-plugin.
* Thu Apr 13 2017 johannes.grassler@suse.com
- Initial package.
